Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.registry
Class AbstractKernelRegistry

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.registry.AbstractKernelRegistry

All Implemented Interfaces:
  KernelEventEmitter, KernelObject, KernelRegistry

Direct Known Subclasses:
  BasicKernelRegistry

public abstract class AbstractKernelRegistry
extends AbstractKernelObject
implements KernelRegistry

Abstract Kernel registry.

Version:
  $Revision: 1.5 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`protected List` | `factories` The registry factories

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Fields inherited from interface org.jboss.kernel.spi.registry.KernelRegistry
`KERNEL_REGISTRY_REGISTERED, KERNEL_REGISTRY_UNREGISTERED`

Constructor Summary
`AbstractKernelRegistry()` Create an abstract kernel registry

Method Summary
`void` | `addKernelRegistryFactory(KernelRegistryPlugin factory)` Add a kernel registry factory
`boolean` | `containsEntry(Object name)` Returns whether or not there exists a KernelRegistryEntry with the given name.
`KernelRegistryEntry` | `getEntry(Object name)` Get a registration
`void` | `removeKernelRegistryFactory(KernelRegistryPlugin factory)` Remove a kernel registry factory

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel, setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.registry.KernelRegistry
`registerEntry, unregisterEntry`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### factories

    protected List factories

  The registry factories

Constructor Detail

### AbstractKernelRegistry

    public AbstractKernelRegistry()
                           throws Exception

  Create an abstract kernel registry

Throws:
  `Exception` - for any error

Method Detail

### addKernelRegistryFactory

    public void addKernelRegistryFactory(KernelRegistryPlugin factory)

  Add a kernel registry factory

  Parameters:
    `factory` - the factory to add

### removeKernelRegistryFactory

    public void removeKernelRegistryFactory(KernelRegistryPlugin factory)

  Remove a kernel registry factory

  Parameters:
    `factory` - the factory to remove

### getEntry

    public KernelRegistryEntry getEntry(Object name)

  Description copied from interface: `KernelRegistry`
  Get a registration

  Specified by:
    `getEntry` in interface `KernelRegistry`
  Parameters:
    `name` - the name of the object
  Returns:
    the registration

### containsEntry

    public boolean containsEntry(Object name)

  Description copied from interface: `KernelRegistry`
  Returns whether or not there exists a KernelRegistryEntry with the given name.

  Specified by:
    `containsEntry` in interface `KernelRegistry`
  Parameters:
    `name` - name of the KernelRegistryEntry
  Returns:
    true if there exists a KernelRegistryEntry with the given name, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.